"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var conventionalConfig = require("@commitlint/config-conventional");
var semantic_release_rules_1 = require("@codingame/semantic-release-rules");
var typeEnum = semantic_release_rules_1["default"].map(function (rule) { return rule.type; });
var config = __assign(__assign({}, conventionalConfig), { rules: __assign(__assign({}, conventionalConfig.rules), { 'type-enum': [2, 'always', typeEnum] }) });
module.exports = config;
